/* Statistical labeller: low level I/O header.

   23-12-92 Created
   16 Jan 2004 Cleaned up for open source release.
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   For details, see the file LICENCE, or visit http://www.gnu.org/copyleft/gpl.html
    
   Copyright (C) David Elworthy 2004.
*/

/* Reset corpus pointers. This MUST be called before the first read of a
corpus, and may also be used to reste a corpus to the start */
extern void reset_corpus(FILE *fp);

/* Get a word and its tags from the corpus */
extern int corpus_getword(FILE *fp, uchar *text, int textlen,
    int max, Tag *tag, Score *score);

/* Test if a word is a number */
extern BOOL number_word(uchar *text);
